GET /v2/actions.json

salesloft.com

Summary: List actions
Operation ID:
Auth: unknown
Description

Fetches multiple action records. The records can be filtered, paged, and sorted according to the respective parameters. Only actions that are currently "in_progess" will be returned by this endpoint. If the requester is not an admin, this endpoint will only return actions belonging to the requester. If the request is an admin, this endpoint will return actions for the entire team. Additionaly, an admin may use the user_guid parameter to request actions that belong to specific users on the team.

Parameters (15)

cadence_id (array, query, optional)

Filters actions by cadence_id. Multiple cadence ids can be applied

due_on (array, query, optional)

Equality filters that are applied to the due_on field. A single filter can be used by itself or combined with other filters to create a range. ---CUSTOM--- {"type":"object","keys":[{"name":"gt","type":"iso8601 string","description":"Returns all matching records that are greater than the provided iso8601 timestamp. The comparison is done using microsecond precision."},{"name":"gte","type":"iso8601 string","description":"Returns all matching records that are greater than or equal to the provided iso8601 timestamp. The comparison is done using microsecond precision."},{"name":"lt","type":"iso8601 string","description":"Returns all matching records that are less than the provided iso8601 timestamp. The comparison is done using microsecond precision."},{"name":"lte","type":"iso8601 string","description":"Returns all matching records that are less than or equal to the provided iso8601 timestamp. The comparison is done using microsecond precision."}]}

ids (array, query, optional)

IDs of actions to fetch.

include_paging_counts (boolean, query, optional)

Whether to include total_pages and total_count in the metadata. Defaults to false

limit_paging_counts (boolean, query, optional)

Specifies whether the max limit of 10k records should be applied to pagination counts. Affects the total_count and total_pages data

multitouch_group_id (array, query, optional)

Filters actions by multitouch_group_id. Multiple multitouch group ids can be applied

page (integer, query, optional)

The current page to fetch results from. Defaults to 1

per_page (integer, query, optional)

How many records to show per page in the range [1, 100]. Defaults to 25

person_id (array, query, optional)

Filters actions by person_id. Multiple person ids can be applied

sort_by (string, query, optional)

Key to sort on, must be one of: created_at, updated_at. Defaults to updated_at

sort_direction (string, query, optional)

Direction to sort in, must be one of: ASC, DESC. Defaults to DESC

step_id (integer, query, optional)

Fetch actions by step ID

type (string, query, optional)

Filter actions by type

updated_at (array, query, optional)

Equality filters that are applied to the updated_at field. A single filter can be used by itself or combined with other filters to create a range. ---CUSTOM--- {"type":"object","keys":[{"name":"gt","type":"iso8601 string","description":"Returns all matching records that are greater than the provided iso8601 timestamp. The comparison is done using microsecond precision."},{"name":"gte","type":"iso8601 string","description":"Returns all matching records that are greater than or equal to the provided iso8601 timestamp. The comparison is done using microsecond precision."},{"name":"lt","type":"iso8601 string","description":"Returns all matching records that are less than the provided iso8601 timestamp. The comparison is done using microsecond precision."},{"name":"lte","type":"iso8601 string","description":"Returns all matching records that are less than or equal to the provided iso8601 timestamp. The comparison is done using microsecond precision."}]}

user_guid (array, query, optional)

Filters actions by the user's guid. Multiple user guids can be applied. The user must be a team admin to filter other users' actions

No probe data for this endpoint yet.